Name:           greenisland
Summary:        QtQuick-based Wayland compositor in library form
Version:        0.6.92
Release:        1%{?dist}
Group:          Applications/System
License:        BSD and LGPLv2.1
URL:            https://github.com/greenisland/greenisland
Source0:        %{name}-%{version}.tar.gz
#Source0:        https://github.com/greenisland/greenisland/releases/download/v%{version}/%{name}-%{version}.tar.gz

Requires:       qt5-qtdeclarative
Requires:       weston >= 1.5
Requires:       xorg-x11-server-Xwayland
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  qt5-qtbase-static >= 5.5.0
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Compositor)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libinput) >= 0.12
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

%description
QtQuick-based Wayland compositor in library form.

The API extends QtCompositor with additional features needed by any real world
Wayland compositor.

Green Island offers multiple screen support and it also implements specific
protocols such as xdg-shell, gtk-shell and those for Plasma 5.

Also include a screencaster protocol and command line application, plus a
minimal Wayland compositor written with QML.

Green Island can be used by any desktop environment that wish to implement
its compositor by using QML or for shells deeply integrated with the compositor
in the same process.


%package devel
Summary:        Devel files for Greenisland
Group:          Development/System
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig(Qt5Compositor)
Requires:       systemd-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.BSD
%license LICENSE.GPLv2
%license LICENSE.LGPLv2.1
%doc AUTHORS
%doc README.md
%{_bindir}/*
%{_libdir}/libGreenIsland.so.*
%{_libdir}/libGreenIslandPlatform.so.*
%{_kf5_qmldir}/GreenIsland
%{_qt5_plugindir}/greenisland/*
%{_qt5_plugindir}/platforms/*
%{_datadir}/greenisland/*


%files devel
%{_includedir}/GreenIsland
%{_libdir}/cmake/GreenIsland
%{_libdir}/libGreenIsland.so
%{_libdir}/libGreenIslandPlatform.so


%changelog
* Thu Sep 24 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.92-1
- Update to 0.6.92.
- Use %license.

* Sun Aug 23 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.0-1
- Update to 0.6.0.

* Sun Jul 05 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.95-1
- Update to 0.5.95.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 18 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0.1-2
- Drop an extra BR

* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0.1-1
- Update to a new release tarball

* Mon Nov 25 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.91-2
- Fix file ownership
- Modernize a bit

* Sat Nov 23 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.91-1
- Initial packaging
